import type { ContextOptions, DateArg } from "./types.js";
/**
 * The {@link getDate} function options.
 */
export interface GetDateOptions extends ContextOptions<Date> {}
/**
 * @name getDate
 * @category Day Helpers
 * @summary Get the day of the month of the given date.
 *
 * @description
 * Get the day of the month of the given date.
 *
 * @param date - The given date
 * @param options - An object with options.
 *
 * @returns The day of month
 *
 * @example
 * // Which day of the month is 29 February 2012?
 * const result = getDate(new Date(2012, 1, 29))
 * //=> 29
 */
export declare function getDate(
  date: DateArg<Date> & {},
  options?: GetDateOptions | undefined,
): number;
